Index: /trunk/data/class/pages/shopping/LC_Page_Shopping_Deliv.php
===================================================================
--- /trunk/data/class/pages/shopping/LC_Page_Shopping_Deliv.php	(revision 18562)
+++ /trunk/data/class/pages/shopping/LC_Page_Shopping_Deliv.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
@@ -201,5 +201,5 @@
         // 別のお届け先住所の取得
         $col = "other_deliv_id, name01, name02, pref, addr01, addr02";
-        $objQuery->setorder("other_deliv_id DESC");
+        $objQuery->setOrder("other_deliv_id DESC");
         $objOtherAddr = $objQuery->select($col, "dtb_other_deliv", $where, array($_SESSION['customer']['customer_id']));
         $this->arrAddr = $arrCustomerAddr;
@@ -389,5 +389,5 @@
         // 別のお届け先住所の取得
         $col = "other_deliv_id, name01, name02, pref, addr01, addr02, zip01, zip02";
-        $objQuery->setorder("other_deliv_id DESC");
+        $objQuery->setOrder("other_deliv_id DESC");
         $objOtherAddr = $objQuery->select($col, "dtb_other_deliv", $where, array($_SESSION['customer']['customer_id']));
         $this->arrAddr = $arrCustomerAddr;
Index: /trunk/data/class/pages/shopping/LC_Page_Shopping_Complete.php
===================================================================
--- /trunk/data/class/pages/shopping/LC_Page_Shopping_Complete.php	(revision 18562)
+++ /trunk/data/class/pages/shopping/LC_Page_Shopping_Complete.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
@@ -94,5 +94,5 @@
 
             // その他情報の取得
-            $arrResults = $objQuery->getall("SELECT memo02, memo05 FROM dtb_order WHERE order_id = ? ", array($order_id));
+            $arrResults = $objQuery->getAll("SELECT memo02, memo05 FROM dtb_order WHERE order_id = ? ", array($order_id));
 
             if (count($arrResults) > 0) {
@@ -260,5 +260,5 @@
         $arrEbis['o4id'] = $arrRet[0]['order_job'];
 
-        $objQuery->setgroupby("product_id");
+        $objQuery->setGroupBy("product_id");
         $arrRet = $objQuery->select("product_id", "dtb_order_detail", "order_id = ?", array($order_id));
         $arrProducts = sfSwapArray($arrRet);
Index: /trunk/data/class/pages/shopping/LC_Page_Shopping_Confirm.php
===================================================================
--- /trunk/data/class/pages/shopping/LC_Page_Shopping_Confirm.php	(revision 18432)
+++ /trunk/data/class/pages/shopping/LC_Page_Shopping_Confirm.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
@@ -116,5 +116,5 @@
             // MEMO03に値が入っている場合には、モジュール追加されたものとみなす
             $sql = "SELECT memo03 FROM dtb_payment WHERE payment_id = ?";
-            $arrPayment = $objQuery->getall($sql, array($arrData['payment_id']));
+            $arrPayment = $objQuery->getAll($sql, array($arrData['payment_id']));
             $payment_type = $arrPayment[0]["memo03"];
         }
@@ -222,5 +222,5 @@
             // MEMO03に値が入っている場合には、モジュール追加されたものとみなす
             $sql = "SELECT memo03 FROM dtb_payment WHERE payment_id = ?";
-            $arrPayment = $objQuery->getall($sql, array($arrData['payment_id']));
+            $arrPayment = $objQuery->getAll($sql, array($arrData['payment_id']));
             $payment_type = $arrPayment[0]["memo03"];
         }
Index: /trunk/data/class/pages/shopping/LC_Page_Shopping_Payment.php
===================================================================
--- /trunk/data/class/pages/shopping/LC_Page_Shopping_Payment.php	(revision 18562)
+++ /trunk/data/class/pages/shopping/LC_Page_Shopping_Payment.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
@@ -351,5 +351,5 @@
     function lfGetPayment($total_pretax) {
         $objQuery = new SC_Query();
-        $objQuery->setorder("rank DESC");
+        $objQuery->setOrder("rank DESC");
         //削除されていない支払方法を取得
         $arrRet = $objQuery->select("payment_id, payment_method, rule, upper_rule, note, payment_image", "dtb_payment", "del_flg = 0 AND deliv_id IN (SELECT deliv_id FROM dtb_deliv WHERE del_flg = 0) ");
Index: /trunk/data/class/pages/shopping/LC_Page_Shopping_DelivAddr.php
===================================================================
--- /trunk/data/class/pages/shopping/LC_Page_Shopping_DelivAddr.php	(revision 18562)
+++ /trunk/data/class/pages/shopping/LC_Page_Shopping_DelivAddr.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
@@ -235,7 +235,7 @@
         $objErr->doFunc(array("市区町村", "addr01", MTEXT_LEN), array("EXIST_CHECK","SPTAB_CHECK","MAX_LENGTH_CHECK"));
         $objErr->doFunc(array("番地", "addr02", MTEXT_LEN), array("EXIST_CHECK","SPTAB_CHECK","MAX_LENGTH_CHECK"));
-        $objErr->doFunc(array("電話番号1", 'tel01'), array("EXIST_CHECK","NUM_CHECK"));
-        $objErr->doFunc(array("電話番号2", 'tel02'), array("EXIST_CHECK","NUM_CHECK"));
-        $objErr->doFunc(array("電話番号3", 'tel03'), array("EXIST_CHECK","NUM_CHECK"));
+        $objErr->doFunc(array("電話番号1", 'tel01'), array("EXIST_CHECK"));
+        $objErr->doFunc(array("電話番号2", 'tel02'), array("EXIST_CHECK"));
+        $objErr->doFunc(array("電話番号3", 'tel03'), array("EXIST_CHECK"));
         $objErr->doFunc(array("電話番号", "tel01", "tel02", "tel03", TEL_LEN) ,array("TEL_CHECK"));
         return $objErr->arrErr;
Index: /trunk/data/class/pages/shopping/LC_Page_Shopping.php
===================================================================
--- /trunk/data/class/pages/shopping/LC_Page_Shopping.php	(revision 18562)
+++ /trunk/data/class/pages/shopping/LC_Page_Shopping.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
@@ -340,10 +340,10 @@
         $this->objFormParam->addParam("住所1", "order_addr01", MTEXT_LEN, "KVa", array("EXIST_CHECK", "SPTAB_CHECK", "MAX_LENGTH_CHECK"));
         $this->objFormParam->addParam("住所2", "order_addr02", MTEXT_LEN, "KVa", array("EXIST_CHECK", "SPTAB_CHECK", "MAX_LENGTH_CHECK"));
-        $this->objFormParam->addParam("電話番号1", "order_tel01", TEL_ITEM_LEN, "n", array("EXIST_CHECK", "MAX_LENGTH_CHECK" ,"NUM_CHECK"));
-        $this->objFormParam->addParam("電話番号2", "order_tel02", TEL_ITEM_LEN, "n", array("EXIST_CHECK", "MAX_LENGTH_CHECK" ,"NUM_CHECK"));
-        $this->objFormParam->addParam("電話番号3", "order_tel03", TEL_ITEM_LEN, "n", array("EXIST_CHECK", "MAX_LENGTH_CHECK" ,"NUM_CHECK"));
-        $this->objFormParam->addParam("FAX番号1", "order_fax01", TEL_ITEM_LEN, "n", array("MAX_LENGTH_CHECK" ,"NUM_CHECK"));
-        $this->objFormParam->addParam("FAX番号2", "order_fax02", TEL_ITEM_LEN, "n", array("MAX_LENGTH_CHECK" ,"NUM_CHECK"));
-        $this->objFormParam->addParam("FAX番号3", "order_fax03", TEL_ITEM_LEN, "n", array("MAX_LENGTH_CHECK" ,"NUM_CHECK"));
+        $this->objFormParam->addParam("電話番号1", "order_tel01", TEL_ITEM_LEN, "n", array("EXIST_CHECK", "MAX_LENGTH_CHECK"));
+        $this->objFormParam->addParam("電話番号2", "order_tel02", TEL_ITEM_LEN, "n", array("EXIST_CHECK", "MAX_LENGTH_CHECK"));
+        $this->objFormParam->addParam("電話番号3", "order_tel03", TEL_ITEM_LEN, "n", array("EXIST_CHECK", "MAX_LENGTH_CHECK"));
+        $this->objFormParam->addParam("FAX番号1", "order_fax01", TEL_ITEM_LEN, "n", array("MAX_LENGTH_CHECK"));
+        $this->objFormParam->addParam("FAX番号2", "order_fax02", TEL_ITEM_LEN, "n", array("MAX_LENGTH_CHECK"));
+        $this->objFormParam->addParam("FAX番号3", "order_fax03", TEL_ITEM_LEN, "n", array("MAX_LENGTH_CHECK"));
         $this->objFormParam->addParam("メールアドレス", "order_email", STEXT_LEN, "KVa", array("EXIST_CHECK", "SPTAB_CHECK", "NO_SPTAB", "MAX_LENGTH_CHECK", "EMAIL_CHECK", "EMAIL_CHAR_CHECK"));
         $this->objFormParam->addParam("メールアドレス（確認）", "order_email_check", STEXT_LEN, "KVa", array("EXIST_CHECK", "SPTAB_CHECK", "NO_SPTAB", "MAX_LENGTH_CHECK", "EMAIL_CHECK", "EMAIL_CHAR_CHECK"), "", false);
@@ -363,7 +363,7 @@
         $this->objFormParam->addParam("住所1", "deliv_addr01", MTEXT_LEN, "KVa", array("SPTAB_CHECK", "MAX_LENGTH_CHECK"));
         $this->objFormParam->addParam("住所2", "deliv_addr02", MTEXT_LEN, "KVa", array("SPTAB_CHECK", "MAX_LENGTH_CHECK"));
-        $this->objFormParam->addParam("電話番号1", "deliv_tel01", TEL_ITEM_LEN, "n", array("MAX_LENGTH_CHECK" ,"NUM_CHECK"));
-        $this->objFormParam->addParam("電話番号2", "deliv_tel02", TEL_ITEM_LEN, "n", array("MAX_LENGTH_CHECK" ,"NUM_CHECK"));
-        $this->objFormParam->addParam("電話番号3", "deliv_tel03", TEL_ITEM_LEN, "n", array("MAX_LENGTH_CHECK" ,"NUM_CHECK"));
+        $this->objFormParam->addParam("電話番号1", "deliv_tel01", TEL_ITEM_LEN, "n", array("MAX_LENGTH_CHECK"));
+        $this->objFormParam->addParam("電話番号2", "deliv_tel02", TEL_ITEM_LEN, "n", array("MAX_LENGTH_CHECK"));
+        $this->objFormParam->addParam("電話番号3", "deliv_tel03", TEL_ITEM_LEN, "n", array("MAX_LENGTH_CHECK"));
         $this->objFormParam->addParam("メールマガジン", "mail_flag", INT_LEN, "n", array("MAX_LENGTH_CHECK", "NUM_CHECK"), 1);
     }
Index: /trunk/data/class/pages/unsupported/LC_Page_Unsupported.php
===================================================================
--- /trunk/data/class/pages/unsupported/LC_Page_Unsupported.php	(revision 16582)
+++ /trunk/data/class/pages/unsupported/LC_Page_Unsupported.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/pages/admin/LC_Page_Admin_Home.php
===================================================================
--- /trunk/data/class/pages/admin/LC_Page_Admin_Home.php	(revision 18562)
+++ /trunk/data/class/pages/admin/LC_Page_Admin_Home.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/pages/admin/LC_Page_Admin_Login.php
===================================================================
--- /trunk/data/class/pages/admin/LC_Page_Admin_Login.php	(revision 18432)
+++ /trunk/data/class/pages/admin/LC_Page_Admin_Login.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/pages/admin/LC_Page_Admin_Logout.php
===================================================================
--- /trunk/data/class/pages/admin/LC_Page_Admin_Logout.php	(revision 16741)
+++ /trunk/data/class/pages/admin/LC_Page_Admin_Logout.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/pages/admin/basis/LC_Page_Admin_Basis_Payment_Input.php
===================================================================
--- /trunk/data/class/pages/admin/basis/LC_Page_Admin_Basis_Payment_Input.php	(revision 17726)
+++ /trunk/data/class/pages/admin/basis/LC_Page_Admin_Basis_Payment_Input.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/pages/admin/basis/LC_Page_Admin_Basis_Kiyaku.php
===================================================================
--- /trunk/data/class/pages/admin/basis/LC_Page_Admin_Basis_Kiyaku.php	(revision 16741)
+++ /trunk/data/class/pages/admin/basis/LC_Page_Admin_Basis_Kiyaku.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
@@ -125,5 +125,5 @@
         // 規格の読込
         $where = "del_flg <> 1";
-        $objQuery->setorder("rank DESC");
+        $objQuery->setOrder("rank DESC");
         $this->arrKiyaku = $objQuery->select("kiyaku_title, kiyaku_text, kiyaku_id", "dtb_kiyaku", $where);
 
Index: /trunk/data/class/pages/admin/basis/LC_Page_Admin_Basis_Payment.php
===================================================================
--- /trunk/data/class/pages/admin/basis/LC_Page_Admin_Basis_Payment.php	(revision 16741)
+++ /trunk/data/class/pages/admin/basis/LC_Page_Admin_Basis_Payment.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
@@ -110,5 +110,5 @@
     //	$where .= " AND fix = ?";
         $table = "dtb_payment";
-        $objQuery->setorder("rank DESC");
+        $objQuery->setOrder("rank DESC");
         $arrRet = $objQuery->select($col, $table, $where);
         return $arrRet;
Index: /trunk/data/class/pages/admin/basis/LC_Page_Admin_Basis.php
===================================================================
--- /trunk/data/class/pages/admin/basis/LC_Page_Admin_Basis.php	(revision 18562)
+++ /trunk/data/class/pages/admin/basis/LC_Page_Admin_Basis.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/pages/admin/basis/LC_Page_Admin_Basis_Control.php
===================================================================
--- /trunk/data/class/pages/admin/basis/LC_Page_Admin_Basis_Control.php	(revision 16741)
+++ /trunk/data/class/pages/admin/basis/LC_Page_Admin_Basis_Control.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
@@ -136,5 +136,5 @@
         $sql = "SELECT * FROM dtb_site_control ";
         $sql .= "WHERE del_flg = 0";
-        $arrRet = $objQuery->getall($sql);
+        $arrRet = $objQuery->getAll($sql);
         return $arrRet;
     }
Index: /trunk/data/class/pages/admin/basis/LC_Page_Admin_Basis_Delivery_Input.php
===================================================================
--- /trunk/data/class/pages/admin/basis/LC_Page_Admin_Basis_Delivery_Input.php	(revision 18562)
+++ /trunk/data/class/pages/admin/basis/LC_Page_Admin_Basis_Delivery_Input.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/pages/admin/basis/LC_Page_Admin_Basis_Mail.php
===================================================================
--- /trunk/data/class/pages/admin/basis/LC_Page_Admin_Basis_Mail.php	(revision 16741)
+++ /trunk/data/class/pages/admin/basis/LC_Page_Admin_Basis_Mail.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/pages/admin/basis/LC_Page_Admin_Basis_Delivery.php
===================================================================
--- /trunk/data/class/pages/admin/basis/LC_Page_Admin_Basis_Delivery.php	(revision 16741)
+++ /trunk/data/class/pages/admin/basis/LC_Page_Admin_Basis_Delivery.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
@@ -96,5 +96,5 @@
         $where = "del_flg = 0";
         $table = "dtb_deliv";
-        $objQuery->setorder("rank DESC");
+        $objQuery->setOrder("rank DESC");
         $this->arrDelivList = $objQuery->select($col, $table, $where);
 
Index: /trunk/data/class/pages/admin/basis/LC_Page_Admin_Basis_Tradelaw.php
===================================================================
--- /trunk/data/class/pages/admin/basis/LC_Page_Admin_Basis_Tradelaw.php	(revision 18562)
+++ /trunk/data/class/pages/admin/basis/LC_Page_Admin_Basis_Tradelaw.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/pages/admin/basis/LC_Page_Admin_Basis_Seo.php
===================================================================
--- /trunk/data/class/pages/admin/basis/LC_Page_Admin_Basis_Seo.php	(revision 16741)
+++ /trunk/data/class/pages/admin/basis/LC_Page_Admin_Basis_Seo.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/pages/admin/basis/LC_Page_Admin_Basis_Holiday.php
===================================================================
--- /trunk/data/class/pages/admin/basis/LC_Page_Admin_Basis_Holiday.php	(revision 17143)
+++ /trunk/data/class/pages/admin/basis/LC_Page_Admin_Basis_Holiday.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
@@ -130,5 +130,5 @@
         // 規格の読込
         $where = "del_flg <> 1";
-        $objQuery->setorder("rank DESC");
+        $objQuery->setOrder("rank DESC");
         $this->arrHoliday = $objQuery->select("holiday_id, title, month, day", "dtb_holiday", $where);
 
Index: /trunk/data/class/pages/admin/basis/LC_Page_Admin_Basis_Point.php
===================================================================
--- /trunk/data/class/pages/admin/basis/LC_Page_Admin_Basis_Point.php	(revision 16741)
+++ /trunk/data/class/pages/admin/basis/LC_Page_Admin_Basis_Point.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/pages/admin/basis/LC_Page_Admin_Basis_ZipInstall.php
===================================================================
--- /trunk/data/class/pages/admin/basis/LC_Page_Admin_Basis_ZipInstall.php	(revision 16749)
+++ /trunk/data/class/pages/admin/basis/LC_Page_Admin_Basis_ZipInstall.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/pages/admin/customer/LC_Page_Admin_Customer_SearchCustomer.php
===================================================================
--- /trunk/data/class/pages/admin/customer/LC_Page_Admin_Customer_SearchCustomer.php	(revision 18432)
+++ /trunk/data/class/pages/admin/customer/LC_Page_Admin_Customer_SearchCustomer.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2008 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
@@ -149,7 +149,7 @@
 
                 // 取得範囲の指定(開始行番号、行数のセット)
-                $objQuery->setlimitoffset($page_max, $startno);
+                $objQuery->setLimitOffset($page_max, $startno);
                 // 表示順序
-                $objQuery->setorder($order);
+                $objQuery->setOrder($order);
                 // 検索結果の取得
                 $this->arrCustomer = $objQuery->select($col, $from, $where, $sqlval);
Index: /trunk/data/class/pages/admin/customer/LC_Page_Admin_Customer.php
===================================================================
--- /trunk/data/class/pages/admin/customer/LC_Page_Admin_Customer.php	(revision 18007)
+++ /trunk/data/class/pages/admin/customer/LC_Page_Admin_Customer.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
@@ -215,10 +215,20 @@
         // 登録メール再送
         if ($_POST['mode'] == "resend_mail") {
-            $arrRet = $objQuery->select("name01, name02, secret_key, email", "dtb_customer","customer_id = ? AND del_flg <> 1 AND status = 1", array($_POST["edit_customer_id"]));
+            $arrRet = $objQuery->select("name01, name02, secret_key, email, email_mobile", "dtb_customer","customer_id = ? AND del_flg <> 1 AND status = 1", array($_POST["edit_customer_id"]));
             if( is_array($arrRet) === true && count($arrRet) > 0 ){
 
                 $CONF = $objDb->sf_getBasisData();
                 $this->CONF = $CONF;
-                $objMailText = new SC_SiteView();
+                /**
+                 * 携帯メールアドレスが登録されていれば携帯サイトから仮会員登録したものと判定する。
+                 * TODO: とりあえずの簡易的な判定なので、将来的には判定ルーチンを修正した方が良い。
+                 */
+                if (!empty($arrRet[0]['email_mobile'])) {
+                    $objMailText = new SC_MobileView(false);
+                    $this->to_name01 = $arrRet[0]['name01'];
+                    $this->to_name02 = $arrRet[0]['name02'];
+                } else {
+                    $objMailText = new SC_SiteView(false);
+				}
                 $objMailText->assignobj($this);
                 $mailHelper = new SC_Helper_Mail_Ex();
Index: /trunk/data/class/pages/admin/customer/LC_Page_Admin_Customer_Edit.php
===================================================================
--- /trunk/data/class/pages/admin/customer/LC_Page_Admin_Customer_Edit.php	(revision 16741)
+++ /trunk/data/class/pages/admin/customer/LC_Page_Admin_Customer_Edit.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
@@ -290,7 +290,7 @@
         if (strlen($array["email"]) > 0) {
             $array['email'] = strtolower($array['email']);
-            $sql = "SELECT customer_id FROM dtb_customer WHERE email ILIKE ? escape '#' AND (status = 1 OR status = 2) AND del_flg = 0 AND customer_id <> ?";
+            $sql = "SELECT customer_id FROM dtb_customer WHERE (email ILIKE ? escape '#' OR email_mobile ILIKE ? escape '#') AND (status = 1 OR status = 2) AND del_flg = 0 AND customer_id <> ?";
             $checkMail = ereg_replace( "_", "#_", $array["email"]);
-            $result = $this->objConn->getAll($sql, array($checkMail, $array["customer_id"]));
+            $result = $this->objConn->getAll($sql, array($checkMail, $checkMail, $array["customer_id"]));
             if (count($result) > 0) {
                 $objErr->arrErr["email"] .= "※ すでに登録されているメールアドレスです。";
@@ -302,7 +302,7 @@
         if (strlen($array["email_mobile"]) > 0) {
             $array['email_mobile'] = strtolower($array['email_mobile']);
-            $sql = "SELECT customer_id FROM dtb_customer WHERE email_mobile ILIKE ? escape '#' AND (status = 1 OR status = 2) AND del_flg = 0 AND customer_id <> ?";
+            $sql = "SELECT customer_id FROM dtb_customer WHERE (email ILIKE ? escape '#' OR email_mobile ILIKE ? escape '#') AND (status = 1 OR status = 2) AND del_flg = 0 AND customer_id <> ?";
             $checkMail = ereg_replace( "_", "#_", $array["email_mobile"]);
-            $result = $this->objConn->getAll($sql, array($checkMail, $array["customer_id"]));
+            $result = $this->objConn->getAll($sql, array($checkMail, $checkMail, $array["customer_id"]));
             if (count($result) > 0) {
                 $objErr->arrErr["email_mobile"] .= "※ すでに登録されているメールアドレス(モバイル)です。";
@@ -349,8 +349,8 @@
 
         // 取得範囲の指定(開始行番号、行数のセット)
-        $this->objQuery->setlimitoffset($page_max, $startno);
+        $this->objQuery->setLimitOffset($page_max, $startno);
         // 表示順序
         $order = "order_id DESC";
-        $this->objQuery->setorder($order);
+        $this->objQuery->setOrder($order);
         //購入履歴情報の取得
         $arrPurchaseHistory = $this->objQuery->select("*", "dtb_order", "customer_id=? AND del_flg = 0 ", array($customer_id));
Index: /trunk/data/class/pages/admin/mail/LC_Page_Admin_Mail_Template.php
===================================================================
--- /trunk/data/class/pages/admin/mail/LC_Page_Admin_Mail_Template.php	(revision 17204)
+++ /trunk/data/class/pages/admin/mail/LC_Page_Admin_Mail_Template.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
@@ -89,5 +89,4 @@
         $sql = "SELECT *, create_date as disp_date FROM dtb_mailmaga_template WHERE del_flg = 0 ORDER BY create_date DESC";
         $this->list_data = $conn->getAll($sql);
-		$this->list_data['disp_date'] = substr($this->list_data['disp_date'], 0, 19);
 
         $objView->assignobj($this);
Index: /trunk/data/class/pages/admin/mail/LC_Page_Admin_Mail_TemplateInput.php
===================================================================
--- /trunk/data/class/pages/admin/mail/LC_Page_Admin_Mail_TemplateInput.php	(revision 16741)
+++ /trunk/data/class/pages/admin/mail/LC_Page_Admin_Mail_TemplateInput.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/pages/admin/mail/LC_Page_Admin_Mail_Sendmail.php
===================================================================
--- /trunk/data/class/pages/admin/mail/LC_Page_Admin_Mail_Sendmail.php	(revision 18562)
+++ /trunk/data/class/pages/admin/mail/LC_Page_Admin_Mail_Sendmail.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/pages/admin/mail/LC_Page_Admin_Mail.php
===================================================================
--- /trunk/data/class/pages/admin/mail/LC_Page_Admin_Mail.php	(revision 18177)
+++ /trunk/data/class/pages/admin/mail/LC_Page_Admin_Mail.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
@@ -253,7 +253,7 @@
 
                 // 取得範囲の指定(開始行番号、行数のセット)
-                $objQuery->setlimitoffset(SEARCH_PMAX, $startno);
+                $objQuery->setLimitOffset(SEARCH_PMAX, $startno);
                 // 表示順序
-                $objQuery->setorder("customer_id DESC");
+                $objQuery->setOrder("customer_id DESC");
 
                 // 検索結果の取得
@@ -412,5 +412,5 @@
             $arrVal[] = "%$val%";
             $objQuery = new SC_Query();
-            $objQuery->setgroupby("customer_id, order_id");
+            $objQuery->setGroupBy("customer_id, order_id");
             $arrRet = $objQuery->select($col, $from, $where, $arrVal);
             $arrCustomerOrderId = SC_Utils_Ex::sfArrKeyValues($arrRet, "customer_id", "order_id");
@@ -510,5 +510,5 @@
         $arrCampaign = null;
         $sql = "SELECT campaign_id, campaign_name FROM dtb_campaign ORDER BY update_date DESC";
-        $arrResult = $objQuery->getall($sql);
+        $arrResult = $objQuery->getAll($sql);
 
         foreach($arrResult as $arrVal) {
Index: /trunk/data/class/pages/admin/mail/LC_Page_Admin_Mail_History.php
===================================================================
--- /trunk/data/class/pages/admin/mail/LC_Page_Admin_Mail_History.php	(revision 16741)
+++ /trunk/data/class/pages/admin/mail/LC_Page_Admin_Mail_History.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
@@ -96,9 +96,9 @@
 
         // 取得範囲の指定(開始行番号、行数のセット)
-        $objQuery->setlimitoffset(SEARCH_PMAX, $startno);
+        $objQuery->setLimitOffset(SEARCH_PMAX, $startno);
 
         // 表示順序
         $order = "start_date DESC, send_id DESC";
-        $objQuery->setorder($order);
+        $objQuery->setOrder($order);
 
         // 検索結果の取得
Index: /trunk/data/class/pages/admin/mail/LC_Page_Admin_Mail_Preview.php
===================================================================
--- /trunk/data/class/pages/admin/mail/LC_Page_Admin_Mail_Preview.php	(revision 16741)
+++ /trunk/data/class/pages/admin/mail/LC_Page_Admin_Mail_Preview.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/pages/admin/products/LC_Page_Admin_Products_ProductRank.php
===================================================================
--- /trunk/data/class/pages/admin/products/LC_Page_Admin_Products_ProductRank.php	(revision 18007)
+++ /trunk/data/class/pages/admin/products/LC_Page_Admin_Products_ProductRank.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
@@ -135,7 +135,7 @@
 
         // 取得範囲の指定(開始行番号、行数のセット)
-        if(DB_TYPE != "mysql") $objQuery->setlimitoffset(SEARCH_PMAX, $startno);
+        if(DB_TYPE != "mysql") $objQuery->setLimitOffset(SEARCH_PMAX, $startno);
 
-        $objQuery->setorder("rank DESC");
+        $objQuery->setOrder("rank DESC");
 
         $arrRet = $objQuery->select($col, $table, $where, array($category_id));
